Gentoo Archives: gentoo-sparc

From: Jason Wever <weeve3@×××××.com>
To: gentoo-sparc@l.g.o
Subject: Re: [gentoo-sparc] Java on sparc
Date: Mon, 01 Oct 2007 12:29:30
Message-Id: c721225e0710010520t7041d509vd117b433f4d2fddc@mail.gmail.com
In Reply to: [gentoo-sparc] Java on sparc by Ferris McCormick
On 10/1/07, Ferris McCormick <fmccor@g.o> wrote:
> You might check out this forum thread: > https://forums.gentoo.org/viewtopic-t-547221.html > This points to a blackdown-1.4.1 beta version for sparc. Whether or not > it can be used on a system using a current compiler I do not know; it > seems it was built using gcc-3.2.xx
My recollection of the problems that led to blackdown being masked in the newer profiles is as below. Basically there were two main problems that were noticed. - Using a newer gcc and glibc than was in the 2005.x profiles caused failures with blackdown (probably broken library dependencies). - Even when it did work, there were problems on multi-processor systems where applications would fail to build but worked just fine on a single processor system Cheers, -- Jason Wever -- gentoo-sparc@g.o mailing list